ADDUSER(8)

NOME
adduser, addgroup - adiciona um usuário ou grupo ao sistema

SINOPSE
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] user

adduser --system [opções] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--group | --ingroup GRUPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] usuário

addgroup [opções] [--gid ID] grupo

addgroup --system [opções] [--gid ID] grupo

adduser [opções] usuário grupo

  OPÇÕES COMUNS
[--quiet] [--debug] [--force-badname] [--help]|-h [--version] [--conf ARQUIVO]

DESCRIÇÃO

adduser and addgroup add users and groups to the system according to command line options and configuration information in /etc/adduser.conf. They are friendlier front ends to the low level tools like useradd, groupadd and usermod programs, by default choosing Debian policy conformant UID and GID values, creating a home directory with skeletal configuration, running a custom script, and other features. adduser and addgroup can be run in one of five modes:

  Adicionar um usuário normal
Se chamado com um argumento que não seja uma opção e sem as opções --system ou --group, adduser irá adicionar um usuário normal. adduser irá escolher o primeiro UID disponível no intervalo especificado para usuários normais no arquivo de configuração. O UID pode ser sobrescrito com a opção --uid. O intervalo especificado no arquivo de configuração pode ser sobrescrito com as opções --firstuid e --lastuid. By default, each user in Debian GNU/Linux is given a corresponding group with the same name. Usergroups allow group writable directories to be easily maintained by placing the appropriate users in the new group, setting the set-group-ID bit in the directory, and ensuring that all users use a umask of 002. If this option is turned off by setting USERGROUPS to no, all users' GIDs are set to USERS_GID. Users' primary groups can also be overridden from the command line with the --gid or --ingroup options to set the group by id or name, respectively. Also, users can be added to one or more groups defined in adduser.conf either by setting ADD_EXTRA_GROUPS to 1 in adduser.conf, or by passing --add_extra_groups on the commandline. adduser irá criar um diretório home sujeito a DHOME, GROUPHOMES, e LETTERHOMES. O diretório home pode ser sobrescrito a partir da linha de comando com a opção --home , e o shell com a opção --shell . O bit set-group-ID do diretório home é configurado se USERGROUPS é yes então qualquer arquivo criado no diretório home do usuário terá o grupo correto. adduser irá copiar arquivos do SKEL para o diretório "home" e perguntar informações para o finger (gecos) e uma senha. O gecos também pode ser configurado com a opção --gecos. Com a opção --disabled-login, a conta será criada mas é desativada até que uma senha seja definida. A opção --disabled-password não configura uma senha, mas o login ainda é possível (por exemplo através de chaves SSH RSA). Se o arquivo /usr/local/sbin/adduser.local existe, ele será executado após a conta do usuário ser configurada para fazer qualquer configuração local. Os argumentos passados para o adduser.local são:
nome-do-usuário uid gid diretório-home
A variável de ambiente VERBOSE é definida de acordo com a seguinte regra:

0 se --quiet for especificado

1 se nem --quiet or --debug for especificado

2 se --debug for especificado
    (O mesmo se aplica para a variável DEBUG, mas DEBUG está depreciado e será removido numa versão futura do adduser).

  Adicionar um usuário de sistema
Se chamado com um argumento não-opção e a opção --system, adduser irá adicionar um usuário de sistema. Se um usuário com o mesmo nome já existir na faixa de uid do sistema (ou, se o uid foi especificado, se um usuário com este uid já existir), adduser sairá com um aviso. adduser will choose the first available UID from the range specified for system users in the configuration file (FIRST_SYSTEM_UID and LAST_SYSTEM_UID). If you want to have a specific UID, you can specify it using the --uid option. Por padrão, usuários de sistema são colocados no grupo nogroup. Para colocar o novo usuário de sistema em um grupo existente, use a opção --gid ou --ingroup . Para colocar o novo usuário de sistema em um novo grupo com o mesmo ID, use a opção --group. Um diretório home é criado pelas mesmas regras de um usuário normal. O novo usuário do sistema terá o shell /bin/false (a menos que seja sobrescrito com a opção --shell ), e os logins desativados. O esqueleto (skel) dos arquivos de configuração não é copiado.

  Adicionar um grupo de usuários
Se adduser é chamado com a opção --group e sem a opção --system, ou addgroup é chamado respectivamente, um grupo será adicionado. A GID will be chosen from the range specified for system GIDS in the configuration file (FIRST_GID, LAST_GID). To override that mechanism you can give the GID using the --gid option. O grupo é criado sem nenhum usuário.

  Adicionar um grupo de sistema
Se adduser é chamado com a opção --system, um grupo de sistema será adicionado. A GID will be chosen from the range specified for system GIDS in the configuration file (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). To override that mechanism you can give the GID using the --gid option. O grupo é criado sem nenhum usuário.

  Adicionar um usuário existente a um grupo existente
Se chamado com dois argumentos que não sejam opções, adduser irá adicionar um usuário existente a um grupo existente.

OPÇÕES

--conf ARQUIVO
    Use ARQUIVO em vez de /etc/adduser.conf.

--disabled-login
    Não executa o passwd para configurar a senha. O usuário não será capaz de usar sua conta até que a senha seja definida.

--disabled-password
    Como --disabled-login, mas logins ainda são possíveis (por exemplo usando chaves SSH RSA) mas não usando autenticação por senhas.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Set the gecos field for the new entry generated. adduser will not ask for finger information if this option is given.

--gid ID
    Quando está criando um grupo, esta opção faz com que o novo groupid seja o número dado. Quando criando um usuário, esta opção irá colocar este usuário no grupo.

--group
    Quando combinado com --system, um grupo com o mesmo nome e ID do sistema é criado. Se não estiver combinado com --system, um grupo com o nome dado é criado. Esta é a ação padrão se o programa for chamado como addgroup.

--help
    Mostra informações de uso.

--home DIR
    Use DIR como o diretório home do usuário, em vez do padrão especificado no arquivo de configuração. Se o diretório não existir, ele será criado e o esqueleto (skel) dos arquivos são copiados.

--shell SHELL
    Use SHELL como a login shell do usuário, em vez do padrão especificado no arquivo de configuração.

--ingroup GRUOP
    Add the new user to GROUP instead of a usergroup or the default group defined by USERS_GID in the configuration file. This affects the users primary group. To add additional groups, see the add_extra_groups option

--no-create-home
    Não cria o diretório home, mesmo se ele não existir.

--quiet
    Suprime mensagens de informação, exibe apenas avisos e erros.

--debug
    Seja "verbose", muito útil se você quer isolar um problema com adduser.

--system
    Create a system user or group.

--uid ID
    Force the new userid to be the given number. adduser will fail if the userid is already taken.

--firstuid ID
    Override the first uid in the range that the uid is chosen from (overrides FIRST_UID specified in the configuration file).

--lastuid ID
    Override the last uid in the range that the uid is chosen from ( LAST_UID )

--add_extra_groups
    Add new user to extra groups defined in the configuration file.

--version
    Mostra a versão e informações de copyright.

EXIT VALUES

0   The user exists as specified. This can have 2 causes: The user was created by adduser or the user was already present on the system before adduser was invoked. Invoking adduser a second time with the same parameters as before also returns 0.

1   Creating the user or group failed because it was already present with other UID/GID than specified. The username or groupname was rejected because of a mismatch with the configured regular expressions, see adduser.conf(5). Adduser has been aborted by a signal.
    Or for many other yet undocumented reasons which are printed to console then. You may then consider to remove --quiet to make adduser more verbose.

ARQUIVOS

/etc/adduser.conf
    Default configuration file for adduser and addgroup

VEJA TAMBÉM
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Debian Policy 9.2.2.

TRADUÇÃO
Philipe Gaspar (philipegaspar@terra.com.br), 2003. Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>, 2005.

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifications by Roland Bauerschmidt and Marc Haber. Additional patches by Joerg Hoh and Stephen Gran.
Copyright (C) 1995 Ted Hajek, com bastante negociação emprestado do adduser original do Debian
Copyright (C) 1994 Ian Murdock. adduser é software livre; veja a Licença Pública Geral GNU versão 2 ou posteriores para condições de cópia. Não existe nenhuma garantia.